/* Screen styles for Course Pages */

:root {
  --main-font: normal 400 15px/1.8 'Arimo', sans-serif;

  /* Main colors */
  --main-color: rgb(0, 121, 193);
  --sub-color: rgb(213, 208, 218);
  --main-bg-color: rgb(255, 255, 255);
  --light-bg-color: rgb(242, 243, 244);
  --lighter-bg-color: rgb(250, 251, 252);
  --light-color: rgb(225, 227, 230);

  /* Text colors */
  --text-color: rgb(63, 58, 66);
  --link-color: rgb(0, 121, 193);
  --link-color: var(--main-color);
  --heading-color: rgb(76, 69, 76);
  --sub-text-color: rgb(132, 146, 152);
  --sub-text-color-dark: rgb(97, 108, 114);

  /* Dimensions */
  --spacing: 2rem;
  --mobile-spacing: 1.25rem;
  --small-mobile-spacing: 0.75rem;
  --spacing-neg: calc(2rem * -1);
  --spacing-neg: calc(var(--spacing) * -1);
  --mobile-spacing-neg: calc(1.25rem * -1);
  --mobile-spacing-neg: calc(var(--mobile-spacing) * -1);
  --small-mobile-spacing-neg: calc(0.75rem * -1);
  --small-mobile-spacing-neg: calc(var(--small-mobile-spacing) * -1);
  --footer-height: 7rem;

  /* Responsivity */
}

.hidden {
  display: none !important;
}

@media screen {
  .screen-hidden {
    position: absolute;
    left: -10000px;
    top: auto;
    width: 1px;
    height: 1px;
    overflow: hidden;
  }
}

.icon {
  padding: 0 0.25em
}

.icon svg {
    width: 1em;
    height: 1em;
    vertical-align: text-top;
  }

.icon svg path,
  .icon svg circle,
  .icon svg polygon,
  .icon svg glyph,
  .icon svg rect {
    stroke: currentColor;
  }

.icon svg rect:first-child {
    stroke: none;
  }

/* Typography: Base */

main h1,
  main h2,
  main h3,
  main h4,
  main h5,
  main h6 {
    margin-top: 0;
    position: relative;
  }

main {

  /* Major Second Type Scaling headings */
}

main h1 {
    font-size: 1.802rem; /* 1.125^5 */
  }

main h2 {
    font-size: 1.424rem; /* 1.125^3 */
  }

main h3 {
    font-size: 1.266rem; /* 1.125^2 */
  }

main h4 {
    font-size: 1.125rem; /* 1.125^1 */
  }

main h5 {
    font-size: 1rem;
  }

main h6 {
    font-size: 1rem;
  }

main img {
    max-width: 100%;
  }

.doc-section {
  margin-bottom: 2rem;
}

ol li,
ul li {
  margin-top: 0.3em;
}

ol li ul,
ol li ol,
ul li ul,
ul li ol {
  margin-bottom: 0.5em;
}

dt {
  color: rgb(76, 69, 76);
  color: var(--heading-color);
  font-weight: bold;
}

dd {
  margin-left: 1.5rem;
  margin-bottom: 1rem;
}

dl.horizontal dt {
    display: block;
    width: 25%;
    color: rgb(97, 108, 114);
    color: var(--sub-text-color-dark);
    text-align: right;
    float: left;
  }

dl.horizontal dd {
    display: block;
    width: 75%;
    margin-left: 25%;
    padding-left: 2rem;
    padding-left: var(--spacing);
  }

dl.horizontal dd::after {
    content: '';
    display: block;
    clear: both;
  }

hr {
  border: none;
  border-top: thin solid rgb(213, 208, 218);
  border-top: thin solid var(--sub-color);
}

a {
  color: rgb(0, 121, 193);
  color: var(--link-color);
}

a:hover {
  text-decoration: none;
}

/* Typography: Admonitions */

.admonition-block {
  border-left: solid thick;
  margin: 1em 0 2em 0;
  padding: 0.5em 1em;
  padding-left: 5em;
  background-color: rgb(242, 243, 244);
  background-color: var(--light-bg-color);
  background-size: 3em 3em;
  background-repeat: no-repeat;
  background-position: 1em 50%;
  min-height: 5em;
  display: flex;
  flex-direction: column;
  justify-content: center;
  clear: both
}

.admonition-block > * {
    margin: 0.5em 0;
  }

.admonition-block.note {
    border-color: rgb(0, 121, 193);
    border-color: var(--main-color);
    background-image: url('./images/icons/note-large.svg');
  }

.admonition-block.tip {
    border-color: #6245a0;
    background-image: url('./images/icons/tip-large.svg');
  }

.admonition-block.important {
    border-color: #f90;
    background-image: url('./images/icons/warning-large.svg');
  }

.admonition-block.caution {
    border-color: #f90;
    background-image: url('./images/icons/warning-large.svg');
  }

.admonition-block.warning {
    border-color: #b1332a;
    background-image: url('./images/icons/danger-large.svg');
  }

.admonition-block.noclear {
    clear: none;
  }

/* Typography: All block or block-like elements */

code {
  background: rgb(242, 243, 244);
  background: var(--light-bg-color);
  padding: 0.25em;
  margin: -0.25em 0;
  font: normal 400 14px/1.1 monospace;
}

.admonition-block code {
  background: rgb(255, 255, 255);
  background: var(--main-bg-color);
}

pre {
  font-size: 0.9em;
  background: rgb(242, 243, 244);
  background: var(--light-bg-color);
  padding: calc(2rem / 1.5);
  padding: calc(var(--spacing) / 1.5);
  color: rgb(73, 68, 77);
  overflow-x: auto
}

pre code {
    padding: 0;
    margin: 0;
  }

pre code .conum {
    display: inline-block;
    background: rgb(97, 108, 114);
    background: var(--sub-text-color-dark);
    color: rgb(242, 243, 244);
    color: var(--light-bg-color);
    border-radius: 50%;
    width: 1.66em;
    height: 1.66em;
    text-align: center;
    line-height: 1.66em;
    font-size: 0.9em;
  }

.block-title {
  font-size: 0.8rem;
  text-transform: uppercase;
  color: rgb(97, 108, 114);
  color: var(--sub-text-color-dark);
  margin-bottom: 0
}

.block-title .title-label,
  .block-title.label-only {
    display: none;
  }

.video-block iframe {
    display: block;
    width: 853px;
    height: 480px;
    margin: auto;
    margin-bottom: 1rem;
    box-shadow: 0 0.1rem 1rem rgba(0, 0, 0, 0.25)
  }

@media (max-width: 2000px) {

.video-block iframe {
      width: 640px;
      height: 360px
  }
    }

@media (max-width: 1024px) {

.video-block iframe {
      width: 480px;
      height: 270px
  }
    }

@media (max-width: 768px) {

.video-block iframe {
      display: block;
      width: 100vw;
      height: 56.25vw;
      margin: 0 calc(2rem * -1);
      margin: 0 var(--spacing-neg);
      margin-bottom: 1rem
  }
    }

.video-block figcaption {
    text-align: center;
  }

.image-block {
  text-align: center
}

@media (max-width: 768px) {

.image-block {
    img {
      margin: auto calc(2rem * -1);
      margin: auto var(--spacing-neg);
      max-width: 100vw;
      max-height: 100vh;
    }
}
  }

blockquote {
  border-left: thick solid rgb(213, 208, 218);
  border-left: thick solid var(--sub-color);
  margin: 1em 0 2em 0;
  padding: 0 2em
}

blockquote footer {
    color: rgb(132, 146, 152);
    color: var(--sub-text-color);
    font-size: 0.8em;
    margin-bottom: 1em;
  }

figure {
  margin: 1em;
  margin-bottom: 2em;
  border: thin solid rgb(213, 208, 218);
  border: thin solid var(--sub-color);
  border-left: 0;
  border-right: 0;
  padding: 1rem 0
}

figure.callout-list {
    padding-bottom: 0;
    margin-bottom: 0;
  }

figure figcaption {
    margin: 0 -1rem -0.5rem 0;
    color: rgb(97, 108, 114);
    color: var(--sub-text-color-dark);
    font-size: 0.8em;
  }

figure p:last-child {
    margin-bottom: 0;
  }

@media (max-width: 768px) {

figure {
    margin: 0
}
  }

@media screen {
  .js dl.tabbed {
    display: flex;
    flex-flow: row wrap;
    margin: 1rem 0
  }

    .js dl.tabbed dt {
      display: inline-block;
      margin-bottom: -1px;  /* compensate dd's border */
      padding: 0.1em 0.6em;
      color: rgb(132, 146, 152);
      color: var(--sub-text-color);
      cursor: pointer;
      z-index: 1;

      /* Override styles from base.css. */
      width: auto;
      float: unset;
      text-align: left;
    }

    .js dl.tabbed dt.selected {
      border-bottom: 0.15em solid rgb(97, 108, 114);
      border-bottom: 0.15em solid var(--sub-text-color-dark);
      color: rgb(97, 108, 114);
      color: var(--sub-text-color-dark);
    }

    .js dl.tabbed dd {
      margin: 0;
      padding: 0 0.5rem;
      width: 100%;
      order: 1;
      border-top: thin solid rgb(213, 208, 218);
      border-top: thin solid var(--sub-color);
      border-bottom: thin solid rgb(213, 208, 218);
      border-bottom: thin solid var(--sub-color);
    }
}

/* Typography: Other elements */

h2:hover .anchor,
h3:hover .anchor,
h4:hover .anchor,
h5:hover .anchor,
h6:hover .anchor {
  display: block;
  width: 1em;
  left: -1em;
  height: 100%;
  background: url('./images/icons/link.svg') no-repeat 100% center;
  position: absolute;
}

.callout-list {
  margin-top: -2rem;
  padding: calc(2rem / 1.5);
  padding: calc(var(--spacing) / 1.5);
  color: rgb(97, 108, 114);
  color: var(--sub-text-color-dark);
  font-size: 0.9em;
  counter-reset: callout-list;
  list-style-type: none
}

.callout-list li {
    margin-bottom: 0.1em;
  }

.callout-list li:before {
    content: counter(callout-list);
    counter-increment: callout-list;
    display: inline-block;
    background: rgb(97, 108, 114);
    background: var(--sub-text-color-dark);
    color: rgb(242, 243, 244);
    color: var(--light-bg-color);
    border-radius: 50%;
    width: 1.66em;
    height: 1.66em;
    text-align: center;
    line-height: 1.66em;
    font-size: 0.9em;
    margin-right: 0.66em;
  }

.footnote-ref {
  font-size: 0.75rem;
  vertical-align: top;
  text-decoration: none
}

.footnote-ref:hover {
    border-bottom: thin solid rgb(0, 121, 193);
    border-bottom: thin solid var(--link-color);
  }

section.footnotes {
  font-size: 0.8rem;
  margin-bottom: 1em
}

section.footnotes ol {
    padding-left: 2em
  }

section.footnotes ol li {
      padding-left: 0.5em;
    }

/* btn:[] */

kbd.button {
  padding: 0.1em 0.4em;
  border: thin solid #aaa;
  background-color: rgb(250, 251, 252);
  background-color: var(--lighter-bg-color);
}

kbd.button samp {
  font: normal 400 15px/1.8 'Arimo', sans-serif;
  font: var(--main-font);
}

/* kbd:[] */

kbd.key {
  padding: 0 0.25em;
  border: thin solid #666;
  border-radius: 0.25em;
  font: normal 400 15px/1.8 'Arimo', sans-serif;
  font: var(--main-font);
}

/* menu:[] */

kbd.menuseq,
kbd.menu samp {
  font: normal 400 15px/1.8 'Arimo', sans-serif;
  font: var(--main-font);
  font-weight: bold;
}

:root {
  --table-border: 1px solid rgb(213, 208, 218);
  --table-border: 1px solid var(--sub-color);
}

table {
  margin: 1rem auto 2rem auto;
  border-collapse: collapse;
  border: 1px solid rgb(213, 208, 218);
  border: var(--table-border)
}

table th {
    font-weight: 600;
  }

table td,
  table th {
    padding: 0.5em;
    border: none;
  }

table {


  /* Cell alignment */
}

table .halign-left {
    text-align: left;
  }

table .halign-center {
    text-align: center;
  }

table .halign-right {
    text-align: right;
  }

table .valign-top {
    vertical-align: top;
  }

table .valign-middle {
    vertical-align: middle;
  }

table .valign-bottom {
    vertical-align: bottom;
  }

table {

  /* Frames */
}

table.frame-none {
    border-style: hidden;
  }

table.frame-topbot {
    border-left-style: hidden;
    border-right-style: hidden;
  }

table.frame-sides {
    border-top-style: hidden;
    border-bottom-style: hidden;
  }

table {

  /* Grids */
}

table.grid-all th,
    table.grid-all td {
      border: 1px solid rgb(213, 208, 218);
      border: var(--table-border);
    }

table.grid-rows th,
    table.grid-rows td {
      border-top: 1px solid rgb(213, 208, 218);
      border-top: var(--table-border);
      border-bottom: 1px solid rgb(213, 208, 218);
      border-bottom: var(--table-border);
    }

table.grid-cols th,
    table.grid-cols td {
      border-left: 1px solid rgb(213, 208, 218);
      border-left: var(--table-border);
      border-right: 1px solid rgb(213, 208, 218);
      border-right: var(--table-border);
    }

.table-block.right > table {
    margin-right: 0;
  }

.table-block.left > table {
    margin-left: 0;
  }

figure.table-block table {
  margin-bottom: 0;
}

* {
  box-sizing: border-box;
}

html {
  height: 100%;
}

body {
  background-color: rgb(255, 255, 255);
  background-color: var(--main-bg-color);
  font: normal 400 15px/1.8 'Arimo', sans-serif;
  font: var(--main-font);
  margin: 0;
  color: rgb(63, 58, 66);
  color: var(--text-color);
  border-top: 3px solid rgb(0, 121, 193);
  border-top: 3px solid var(--main-color);
  height: 100%;
}

.wrap {
  max-width: 1400px;
  margin: 0 auto;
  padding: 0 2rem;
  padding: 0 var(--spacing);
  position: relative
}

@media (max-width: 2000px) {

.wrap {
    max-width: 1200px
}
  }

@media (max-width: 480px) {

.wrap {
    padding: 0 1.25rem;
    padding: 0 var(--mobile-spacing)
}
  }

@media (max-width: 320px) {

.wrap {
    padding: 0 0.75rem;
    padding: 0 var(--small-mobile-spacing)
}
  }

body > .wrap {
  min-height: 100%;
  padding-bottom: calc(7rem + 2rem);
  padding-bottom: calc(var(--footer-height) + var(--spacing));
  margin-bottom: calc(7rem * -1);
  margin-bottom: calc(var(--footer-height) * -1)
}

body > .wrap.no-footer {
    padding-bottom: 2rem;
    padding-bottom: var(--spacing);
    margin-bottom: 0;
  }

@media (max-width: 1024px) {

body > .wrap {
    margin-bottom: 0;
    padding-bottom: 0
}
  }

.horizont {
  display: flex;
  padding: 2rem 0;
  padding: var(--spacing) 0;
  position: relative
}

@media (max-width: 768px) {

.horizont {
    display: block;
    padding: calc(2rem * 0.5) 0;
    padding: calc(var(--spacing) * 0.5) 0
}
  }

@media (max-width: 480px) {

.horizont {
    padding: 1.25rem 0;
    padding: var(--mobile-spacing) 0
}
  }

@media (max-width: 320px) {

.horizont {
    padding: 0.75rem 0;
    padding: var(--small-mobile-spacing) 0
}
  }

main {
  order: 2;
  flex-grow: 1;
  width: 0 /* enables overflow-x inside (kinda hacky, but it works) */
}

@media (max-width: 768px) {

main {
    width: auto
}
  }

.link-list,
.toc ol {
  list-style: none;
  margin: 0;
  padding: 0
}

.link-list ul,
  .link-list ol,
  .toc ol ul,
  .toc ol ol {
    padding: 0;
    padding-left: 1em;
    margin-left: 0.5em;
    border-left: 1px solid rgb(213, 208, 218);
    border-left: 1px solid var(--sub-color);
    list-style: none;
  }

.link-list li, .toc ol li {
    margin-bottom: 0;
  }

.link-list a, .toc ol a {
    text-decoration: none;
  }

.link-list a:hover, .toc ol a:hover {
    text-decoration: underline;
  }

.link-list li.selected > a, .toc ol li.selected > a {
    font-weight: 600;
  }

.link-list li.selected > a .icon svg,
  .link-list li.selected > a .icon svg path,
  .toc ol li.selected > a .icon svg,
  .toc ol li.selected > a .icon svg path {
    stroke-width: 5px !important;
  }

.link-list li.collapsed > ul, .toc ol li.collapsed > ul {
    display: none;
  }

.menubar ul {
    list-style: none;
    margin: 0;
    padding: 0;
    text-align: right;
    line-height: 1;
  }

.menubar > ul > li {
    display: inline-block;
    margin: 0;
    margin-left: 1em;
    position: relative;
  }

.menubar li:last-child {
    margin-right: 0;
  }

.menubar .icons {
    font-size: 0.9em;
    margin-right: 0.25em;
  }

.menubar a {
    text-decoration: none;
  }

.menubar a:hover span {
    text-decoration: underline;
  }

.menubar li:hover > ul,
  .menubar li:active > ul {
    display: inherit;
  }

.menubar ul > li > ul {
    display: none;
    position: absolute;
    background: rgb(242, 243, 244);
    background: var(--light-bg-color);
    padding: 0.5em 0;
    top: 100%;
    width: 100%;
    right: 0;
    text-align: left;
    z-index: 150
  }

.menubar ul > li > ul li {
      display: block;
      margin: 0;
      padding: 0.25em 1em;
    }

.menubar ul > li > ul a {
      color: rgb(0, 121, 193);
      color: var(--link-color);
    }

.menubar ul > li > ul a:hover {
      text-decoration: underline;
    }

@media (max-width: 320px) {
    .menubar > ul {
      text-align: left;
      margin-top: 1em
    }

      .menubar > ul li {
        margin-left: 0;
      }

      .menubar > ul .icon {
        padding-left: 0;
      }
  }

button.link {
  display: inline;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  color: rgb(0, 121, 193);
  color: var(--main-color);
  background: none;
  border: none;
  padding: 0;
  font: inherit
}

button.link:hover {
    text-decoration: underline;
    cursor: pointer;
  }

.header {
  position: relative;
  padding-top: calc(2rem * 2);
  padding-top: calc(var(--spacing) * 2);
  padding-bottom: calc(2rem * 0.5);
  padding-bottom: calc(var(--spacing) * 0.5);
  border-bottom: 1px solid rgb(213, 208, 218);
  border-bottom: 1px solid var(--sub-color);
  background: url('images/cvut-logo.svg') no-repeat left 0
}

@media (max-width: 1024px) {

.header {
    padding-top: 2rem;
    padding-top: var(--spacing)
}
  }

@media (max-width: 480px) {

.header {
    background-size: 250px;
    background-position: 0 10px
}
  }

@media (max-width: 320px) {

.header {
    background-size: 150px;
    background-position: 0 50px
}
  }

.header-short {
  padding-top: 2rem;
  padding-top: var(--spacing)
}

.header-short .course-heading {
    font-size: 1.5rem;
  }

.heading-group {
  display: flex;
  align-items: baseline
}

@media (max-width: 320px) {

.heading-group {
    display: block
}
  }

.course-heading {
  color: rgb(76, 69, 76);
  color: var(--heading-color);
  font-size: 2rem;
  font-weight: 700;
  line-height: 0.75;
  padding: 0.25em 0 0 0
}

.course-heading .dash {
    display: none;
  }

.course-heading .fullname {
    font-size: 0.7em;
    font-weight: 400;
  }

.page-menu {
  flex-grow: 1;
  align-self: flex-end
}

.page-menu li {
    line-height: 1;
    padding-top: calc(2rem * 0.33);
    padding-top: calc(var(--spacing) * 0.33);
  }

.course-semester ul {
  border-top: 1em solid white;
}

.course-semester .icon-expand svg {
  vertical-align: bottom;
}

.subheading {
  font-size: 0.8rem;
  font-weight: 600;
  text-transform: uppercase;
  color: rgb(132, 146, 152);
  color: var(--sub-text-color);
}

.subheading-portal {
  font-size: 0.8rem;
  font-weight: 400;
  text-transform: uppercase;
}

.subheading-portal a {
  color: rgb(132, 146, 152);
  color: var(--sub-text-color);
  text-decoration: none
}

.subheading-portal a:hover {
    text-decoration: underline;
  }

.moodle-message {
  max-width: 500px;
  margin: auto;
  padding: 2rem 0 4rem 0;
  text-align: center
}

.moodle-message h1 {
    font-weight: normal;
    line-height: 1.25;
  }

.moodle-message img {
    max-width: 200px;
  }

.moodle-message a img {
    transition: opacity 0.2s, -webkit-transform 0.2s;
    transition: transform 0.2s, opacity 0.2s;
    transition: transform 0.2s, opacity 0.2s, -webkit-transform 0.2s;
  }

.moodle-message a:hover img {
    -webkit-transform: scale(1.05);
            transform: scale(1.05);
    opacity: 0.8;
  }

@media (max-width: 768px) {

.moodle-message {
    padding: 1rem 0
}

    .moodle-message h1 {
      font-size: 1.75em;
    }
  }

@media (max-width: 768px) {
  .moodle-link {
    font-size: 1.2em;
  }
}

@media (max-width: 480px) {
  #semesters-list {
    display: block;
    padding: 0.5em 0 1.5em 0;
    color: white;
    width: 80%;
    margin: 0.5em auto;
    border-top: 1px solid rgb(213, 208, 218);
    border-top: 1px solid var(--sub-color);
    border-bottom: 1px solid rgb(213, 208, 218);
    border-bottom: 1px solid var(--sub-color)
  }

    #semesters-list a {
      display: block;
      margin-bottom: -1em;
    }
}

.cp-note {
  max-width: 700px;
  margin: auto;
  padding: 1em 0;
  text-align: center;
  border-top: 1px solid rgb(213, 208, 218);
  border-top: 1px solid var(--sub-color)
}

.cp-note .smaller {
    font-size: 0.8em;
    color: rgb(132, 146, 152);
    color: var(--sub-text-color);
  }

.site-nav {
  flex-grow: 0;
  flex-shrink: 0;
  flex-basis: 300px;
  padding-right: 2rem;
  padding-right: var(--spacing);
  order: 1;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none
}

.site-nav h1 {
    font-size: 0.8rem;
    font-weight: 600;
    text-transform: uppercase;
    color: rgb(132, 146, 152);
    color: var(--sub-text-color);
  }

.site-nav ul ul {
    padding-left: 1.25em;
    margin-bottom: 0;
  }

.site-nav li {
    margin-top: 0.25em;
    position: relative;
  }

.site-nav .icon {
    padding: 0;
    margin-right: 0.5em;
  }

.site-nav a:hover {
    text-decoration: none
  }

.site-nav a:hover .label {
      text-decoration: underline;
    }

@media (max-width: 1024px) {

.site-nav {
    flex-basis: 225px
}

    .site-nav li {
      margin-top: 0.1em;
    }
  }

@media (max-width: 768px) {

.site-nav {
    background: rgb(250, 251, 252);
    background: var(--lighter-bg-color);
    margin: calc(2rem * -1);
    margin: var(--spacing-neg);
    margin-top: 2rem;
    margin-top: var(--spacing);
    padding: 2rem;
    padding: var(--spacing)
}

    .site-nav li {
      margin-top: 0.35em;
    }
  }

@media (max-width: 480px) {

.site-nav {
    margin: calc(1.25rem * -1);
    margin: var(--mobile-spacing-neg);
    margin-top: 1.25rem;
    margin-top: var(--mobile-spacing);
    padding: 1.25rem;
    padding: var(--mobile-spacing)
}
  }

@media (max-width: 320px) {

.site-nav {
    margin: calc(0.75rem * -1);
    margin: var(--small-mobile-spacing-neg);
    margin-top: 0.75rem;
    margin-top: var(--small-mobile-spacing);
    padding: 0.75rem;
    padding: var(--small-mobile-spacing)
}
  }

/* Hide expander when JS is not available. */

.site-nav li > .expander {
  display: none;
}

.js .site-nav li > .expander {
  content: '';
  position: absolute;
  display: block;
  width: 1.5em;
  height: 1.5em;
  left: -1.25em;
  opacity: 0;
  -webkit-transform-origin: 0.5em center;
          transform-origin: 0.5em center
}

.js .site-nav li > .expander svg {
    position: relative;
    left: 0.5em;
    transition: left 0.2s;
  }

.js .site-nav li:hover > .expander {
  cursor: pointer;
  opacity: 1
}

.js .site-nav li:hover > .expander svg {
    position: relative;
    left: 0em;
  }

.js .site-nav li:not(.collapsed) > .expander svg {
  -webkit-transform: rotate(180deg);
          transform: rotate(180deg);
}

.app-menu {
  position: absolute;
  top: 1rem;
  right: 2rem;
  right: var(--spacing);
  z-index: 10
}

.app-menu li.user {
    margin-left: 0.5rem;
    margin-right: 0;
    background: rgb(242, 243, 244);
    background: var(--light-bg-color);
    padding: 0.75em 1em;
    position: relative;
    min-width: 8em;
    font-size: 0.8em;
    text-align: left
  }

.app-menu li.user a.link {
      color: rgb(0, 121, 193);
      color: var(--main-color);
    }

.app-menu li.user a.link:hover {
      text-decoration: underline;
    }

.app-menu li.user > .icon-expand {
      float: right;
      padding: 0;
    }

.app-menu li.user#login-link {
      text-align: center;
    }

.app-menu li.user.dropdown:hover,
    .app-menu li.user.dropdown:active {
      background: rgb(225, 227, 230);
      background: var(--light-color);
    }

.app-menu .label {
    display: none;
  }

.app-menu a {
    text-decoration: none;
    color: rgb(63, 58, 66);
    color: var(--text-color);
  }

.app-menu > ul > li {
    margin-right: 0.5rem;
  }

@media (max-width: 480px) {

.app-menu {
    right: 1.25rem;
    right: var(--mobile-spacing)
}

    .app-menu li.user {
      background: transparent;
      margin-right: -1.25em;
    }
  }

.display-menu {
  display: flex;
  justify-content: flex-end;
  position: absolute;
  right: 0;
  margin-top: calc(2rem * -1);
  margin-top: var(--spacing-neg)
}

@media (max-width: 768px) {

.display-menu {
    margin-top: calc(2rem * -0.5);
    margin-top: calc(var(--spacing) * -0.5)
}
  }

@media (max-width: 480px) {

.display-menu {
    display: none
}
  }

.no-js .display-menu {
  display: none;
}

#btn-presentation {
  position: relative;
  font-size: 1.8rem
}

#btn-presentation .icon {
    padding-right: 0;
  }

.nav-link {
  display: none;
  position: -webkit-sticky;
  position: sticky;
  top: -1px;
  background: white;
  text-align: center;
  margin: 1em calc(2rem * -1);
  margin: 1em var(--spacing-neg);
  margin-top: -1em;
  padding: 0.5em 0
}

@media (max-width: 768px) {

.nav-link {
    display: block
}
  }

@media (max-width: 480px) {

.nav-link {
    margin: 1em calc(1.25rem * -1);
    margin: 1em var(--mobile-spacing-neg)
}
  }

@media (max-width: 320px) {

.nav-link {
    margin: 1em calc(0.75rem * -1);
    margin: 1em var(--small-mobile-spacing-neg)
}
  }

.other-version {
  line-height: 1.3;
  font-size: 0.9em;
  padding: 0.5em 0 0.5em 4.5em;
  color: rgb(132, 146, 152);
  color: var(--sub-text-color);
  position: relative;
  z-index: 50;
  margin-bottom: 2em
}

.other-version .icon {
    margin: 0;
  }

.other-version .icon svg {
    width: 48px;
    height: 48px;
    color: rgb(132, 146, 152);
    color: var(--sub-text-color);
    position: absolute;
    top: 0;
    left: 0;
    z-index: -10;
  }

.toc {
  font-size: 0.8em;
  float: right;
  background: rgb(242, 243, 244);
  background: var(--light-bg-color);
  border: 1px solid rgb(213, 208, 218);
  border: 1px solid var(--sub-color);
  border-radius: 0.5em;
  padding: calc(2rem / 2);
  padding: calc(var(--spacing) / 2);
  margin-left: calc(2rem / 2);
  margin-left: calc(var(--spacing) / 2);
  margin-bottom: calc(2rem / 2);
  margin-bottom: calc(var(--spacing) / 2);
  width: 15rem;
  position: relative;
  z-index: 100  /* workaround to fix #50 */
}

.toc h1,
  .toc h2,
  .toc h3 {
    font-size: 0.8rem;
    font-weight: 600;
    text-transform: uppercase;
    color: rgb(97, 108, 114);
    color: var(--sub-text-color-dark);
    margin-bottom: 0.5em;
  }

.toc li {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
  }

@media (max-width: 2000px) {

.toc {
    width: 13rem
}
  }

@media (max-width: 1024px) {

.toc {
    width: 11rem
}
  }

@media (max-width: 480px) {

.toc {
    float: none;
    width: 100%;
    margin-left: 0
}
  }

.page-footer {
  background: rgb(242, 243, 244);
  background: var(--light-bg-color);
  padding: 2rem 0;
  padding: var(--spacing) 0;
  font-size: 0.8em;
  color: rgb(132, 146, 152);
  color: var(--sub-text-color);
  width: 100%;
  height: 7rem;
  height: var(--footer-height)
}

.page-footer .meta {
    float: right;
    text-align: right;
  }

.page-footer::after {
    content: '';
    clear: both;
  }

.page-footer a {
    color: color(rgb(132, 146, 152) shade(20%));
    color: color(var(--sub-text-color) shade(20%));
    text-decoration: none
  }

.page-footer a:hover {
      text-decoration: underline;
    }

@media (max-width: 768px) {

.page-footer {
    height: auto
}

    .page-footer .wrap > * {
      float: none;
      text-align: left;
    }

    .page-footer .wrap > *:first-child {
      border-bottom: 1px solid rgb(213, 208, 218);
      border-bottom: 1px solid var(--sub-color);
      padding-bottom: 1em;
      margin-bottom: 1em;
    }

    .page-footer .nav-link {
      display: block;
    }
  }

article.news-item {
  padding-bottom: 2.5rem;
  position: relative
}

article.news-item:last-of-type {
    padding-bottom: 1.5rem;
    margin-bottom: 1rem;
  }

article.news-item h2 {
    font-size: 1.3rem;
  }

article.news-item footer {
    color: #888;
    font-size: 0.8rem;
    padding-top: 0.4em
  }

article.news-item footer a {
      color: #888;
      text-decoration: none;
    }

article.news-item footer a:hover {
      text-decoration: underline;
    }

/* latin-ext */

@font-face {
  font-family: 'Arimo';
  font-style: italic;
  font-weight: 400;
  src: local('Arimo Italic'), local('Arimo-Italic'), url(./fonts/arimo-italic-latin-ext.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

/* latin */

@font-face {
  font-family: 'Arimo';
  font-style: italic;
  font-weight: 400;
  src: local('Arimo Italic'), local('Arimo-Italic'), url(./fonts/arimo-italic-latin.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* latin-ext */

@font-face {
  font-family: 'Arimo';
  font-style: italic;
  font-weight: 700;
  src: local('Arimo Bold Italic'), local('Arimo-BoldItalic'), url(./fonts/arimo-bold-italic-latin-ext.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

/* latin */

@font-face {
  font-family: 'Arimo';
  font-style: italic;
  font-weight: 700;
  src: local('Arimo Bold Italic'), local('Arimo-BoldItalic'), url(./fonts/arimo-bold-italic-latin.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* latin-ext */

@font-face {
  font-family: 'Arimo';
  font-style: normal;
  font-weight: 400;
  src: local('Arimo Regular'), local('Arimo-Regular'), url(./fonts/arimo-regular-latin-ext.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

/* latin */

@font-face {
  font-family: 'Arimo';
  font-style: normal;
  font-weight: 400;
  src: local('Arimo Regular'), local('Arimo-Regular'), url(./fonts/arimo-regular-latin.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* latin-ext */

@font-face {
  font-family: 'Arimo';
  font-style: normal;
  font-weight: 700;
  src: local('Arimo Bold'), local('Arimo-Bold'), url(./fonts/arimo-bold-latin-ext.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

/* latin */

@font-face {
  font-family: 'Arimo';
  font-style: normal;
  font-weight: 700;
  src: local('Arimo Bold'), local('Arimo-Bold'), url(./fonts/arimo-bold-latin.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/**
 * Color pallete heavily inspired by Nord color pallete
 * https://github.com/arcticicestudio/nord
 */

.hljs-emphasis {
  font-style: italic;
}

.hljs-strong {
  font-weight: bold;
}

.hljs-comment,
.hljs-quote {
  color: #998;
  font-style: italic;
}

.hljs-keyword,
.hljs-selector-tag,
.hljs-subst {
  color: #be5d6a;
  font-weight: bold;
}

.hljs-number,
.hljs-literal,
.hljs-variable,
.hljs-template-variable,
.hljs-tag .hljs-attr {
  color: #5f7fac;
}

.hljs-string,
.hljs-doctag {
  color: #7d9e60;
}

.hljs-title,
.hljs-section,
.hljs-selector-id,
.hljs-type {
  color: #945f8c;
  font-weight: bold;
}

.hljs-subst {
  font-weight: normal;
}

.hljs-tag,
.hljs-name,
.hljs-attribute {
  color: #5f7fac;
  font-weight: normal;
}

.hljs-regexp,
.hljs-link {
  color: #cf8671;
}

.hljs-symbol,
.hljs-bullet {
  color: #945f8c;
}

.hljs-built_in,
.hljs-builtin-name {
  color: #0086b3;
}

.hljs-meta {
  color: #999;
  font-weight: bold;
}

.hljs-deletion {
  background: #e0cfd1;
}

.hljs-addition {
  background: #d0dfc3;
}

.nb-notebook {
  margin-left: 5em
}

@media (max-width: 768px) {

.nb-notebook {
    margin-left: 0
}
  }

.nb-notebook table th,
  .nb-notebook table td {
    border: 1px solid rgb(213, 208, 218);
    border: var(--table-border);
  }

.nb-code-cell .nb-input::before,
  .nb-code-cell .nb-output::before {
    display: block;
    position: absolute;
    min-width: 6em;
    margin-left: -7em;
    padding-right: 1em;
    font-family: monospace;
    font-size: 0.9em;
    color: rgb(97, 108, 114);
    color: var(--sub-text-color-dark);
    text-align: right
  }

@media (max-width: 768px) {

.nb-code-cell .nb-input::before,
  .nb-code-cell .nb-output::before {
      position: relative;
      margin-left: 0;
      text-align: left
  }
    }

.nb-code-cell .nb-input::before {
    content: "In [" attr(data-prompt-number) "]:";
  }

.nb-code-cell .nb-output::before {
    content: "Out[" attr(data-prompt-number) "]:";
  }

.nb-code-cell .nb-error,
  .nb-code-cell .nb-stderr {
    background-color: #ffe1e1;
  }

.nb-code-cell pre {
    width: 100%;
  }

.nb-raw-cell {
  font-family: monospace;
  font-size: 0.9em;
  white-space: pre-wrap;
}
